Skip to content

Funds Account Authorization Relationship Query

  • Endpoint: POST /aggregate-pay/api/gateway/queryAuthorizedAccount
  • Tags: Fund Account(New)

Description

Query the funds accounts authorized for business product categories under the member

Parameters

FieldInTypeRequiredConstraintsDescription
Content-TypeheaderstringYes
signheaderstringYes签名信息请参考技术文档

Parameter Examples

  • Content-Type: "application/json"
  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Required

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
versionstringYesCurrent value:1.5
keyVersionstringYesCurrent value: 1
requestTimestringYes
appIdstringYesThe unique identifier assigned to the merchant app by PayerMax
merchantNostringYes
dataobjectYes
data.productTypeListarray[string]Yespayin: Acquisition payout: Disbursement collect: Collection

Example

json
{
  "version": "1.5",
  "keyVersion": "1",
  "requestTime": "2025-12-05T20:36:13.712+08:00",
  "appId": "371f5d9686504c939ee834b6fe08c5a1",
  "merchantNo": "P01010115244790",
  "data": {
    "productTypeList": [
      "payin",
      "collect"
    ]
  }
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
msgstringYes‘Success.’
codestringYes‘APPLY_SUCCESS’ means success
dataobjectYes
data.merchantAuthorizedAccountInfoListarray[object]Yes
data.merchantAuthorizedAccountInfoList[].merchantNostringYesMerchant number
data.merchantAuthorizedAccountInfoList[].memberIdstringYesMember ID
data.merchantAuthorizedAccountInfoList[].productTypestringYespayin: Acquisition payout: Disbursement collect: Collection
data.merchantAuthorizedAccountInfoList[].authorizedFundsAccountNostringYesAuthorized funds account number
data.merchantAuthorizedAccountInfoList[].authorizedFundsAccountAliasstringYesAuthorized funds account alias,Customer can modify alias via MMC themselves

Response Example

json
{
  "msg": "",
  "code": "APPLY_SUCCESS",
  "data": {
    "merchantAuthorizedAccountInfoList": [
      {
        "authorizedFundsAccountAlias": "收单专用",
        "authorizedFundsAccountNo": "P25101038984",
        "productType": "payin",
        "merchantNo": "P01010115244790",
        "memberId": "20251010P01B11000003000002"
      },
      {
        "authorizedFundsAccountAlias": "收款专用",
        "authorizedFundsAccountNo": "P25101038985",
        "productType": "collect",
        "merchantNo": "P01010115244790",
        "memberId": "20251010P01B11000003000002"
      }
    ]
  }
}

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.